clan(X, [X|_]).
clan(X, [_|R]) :- clan(X, R).

%% k(ime, prezime, predmet)

ucenje(Lista) :- Lista = [k(_, _, _),
			  k(_, milenkovic, _),
			  k(jelena, _, _),
			  k(_, blagojevic, _)],
		 clan(k(_, brankovic, istorija), Lista),
		 clan(k(Ime1, Prezime1, srpski), Lista),
		 clan(k(jelisaveta, Prezime2, geografija), Lista),
		 clan(k(borko, _, matematika), Lista),
		 clan(k(dunja, plazinic, _), Lista),
		 Ime1 \== jelena, Prezime1 \== milenkovic,
		 Prezime2 \== blagojevic.

odgovori(X, Y) :- ucenje(L), clan(k(_, X, srpski), L), clan(k(Y, blagojevic, _), L).
